I created a simple symbol from a circle with a cross inside (two rectangles). The symbol has two states labelled "normal" and "over" in which background colors change : on mousover and mouseout on the circle, sym.stop("over"); and sym.stop("normal"); respectively.
The problem : "over" when the cursor hovers over the circle, but back to "normal" when it hovers over the cross. The API suggests to use mouseenter and mouseleave to avoid child elements of the symbol interrupt the mouse event. I tried it, but the behavior is the same.
Is there any JavaScript solution (I'm a beginner, coming from AS3), or should I bypass with two flattened graphics "normal" and "over" ?
I have a need to find the lowest elevation inside of a small rectangular polygon (6'x7'), then assign the polygon to that elevation. This is fairly easily done manually with feature lines, however I need to repeat the operation about 3,000 times to create a design grid (therefore, not obliged to using all of the design budget to do so).
I employed the GIS department to run the analysis, which they can do, however they can't rotate the DEM grid output to match my project because it doesn't run parallel to north/south, thus skewing the results.
I have a database containing more than 5000 parcels. each parcel have its set of points with their labels, and for each parcel I have to generate a drawing. Is there an algorithm for placing point labels inside the polygon of the parcel with minimum overlapping ?
Just purchased as graphics card and having problems setting it up but then I'm not that good at understanding the necessary set up to get rid of the edge. Much rather model with just polygons.
3DS Max 2011. When in to customize > Prefetence Settings > Viewports. Adjusted the drivers to OpenGL and the picture I am using to model becomes so distorted that I'm unable to use it. So if I use Direct3D, DirectX 10.0, the picture shows the fine however I end up with the edge showing through the polygons which bothers me. Is there a way to get rid of the edge going to the polygon or do I have to just put up with it.
I am working on a project for an autocad class and have run into a snag. I have to fillet a box but the rounded edge is on the inside instead of being on the outside. I'm attaching a screen shot of a 2-d version and the 3-d I have so far.
I have a symbol called Rectangle and a text field called Counter on the stage. Inside the symbol I have another textfield called Counter2. For the .click event of the symbol I have:
But I noticed that only Counter is being changed and that Counter2 was not targeted. How do I target Counter2 without having to move it to the main timeline?
I have a parent symbol (symbolA) that contain another symbol (symbolB). when I click on the inner symbolB, I want to make it switch with a third symbol (symbolC) always inside the symbolA.
I saw a post on this issue but was not sure where to put the code I read there. how exactly to edit this code line to work
I am inside a symbol "oneAnimation". At the end of the animation "backBtn1" appears. Inside this button, I have added an event on click. I want the stage timeline to play from the label "startNumber" when this button inside the symbol is clicked.
So far it's not jumping back to the main time line.
I am struggling in using the Polygon Tool to create a Hexagon, for some reason the only type of polygon that is preset is the star which I can create with as many sides that I want. But I don't want to do a star, I want to create a 5 sided polygone, or even 6 sided polygon, I basically want to create a hexagon!
But initially I managed to get a hexagon, for some reason I can't get it to do it anymore!
Can someone tell me where I can set which type of polygon i want to create?
I used to use lightwave. With lightwave I could select vertices and then press the "P" key to create a polygon from the selected verts.Now, with max I have found the "create" feature. When using an editable poly, in poly select mode, I select the "create" button and this allows me to do 2 things:
1 - I can create a poly out of nothing by clicking empty space
2 - all verts from existing objects become visible and I select the verts I want to create a new poly.
These seem like really cool tools, if it wasn't for one small detail..With "#2" if I engage the create button, and select a vert - I can no longer rotate around the object and look at it from different angles (by pressing alt+center mouse) UNTIL AFTER I have created the new polygon.
This small detail is kind of annoying because with certain intricate models, I may need to move it around to get to the next vert in line. The only way for it to work, it to make sure I can clearly see ALL verts needed for the new poly with no other geometry or objects obscuring them before starting the create button.
Is it not possible to simply go into "vert selection mode" select a collection of verts (in doing so, be able to rotate around the object between making the selections) and then after I have made my selections simply click a button or key to create a new polygon from the selection?
I'm trying to use the Create Polygon tool. My problem is that when I click to create a polygon I don't see anything. I can keep clicking and clicking to create points, which it apparently IS creating, but I don't see anything until I switch through one of the View types (wire frame, shaded, etc.).
I know I'm supposed to see the verts the second I click but that's not what I'm getting, it's more like I need to just go through the motions of blindly creating my shape, change views, and then edit the resulting verts and edges later.
I am self taught and only using maya for about 3 months now but the situation where an object that needed many small holes has caused me some problems 3 times now.
In the current situation I am essentially modeling a CPU and a CPU socket. there is ~240 pins on the cpu and that will connect with the socket where there should be 240 holes to match.
The only method I know is boolean difference but that causes the entire polygon cube to disappear instead of creating a hole in it.
what is another method for creating many small holes? another example is a piece of formed metal that has small holes in it for air vent.
Since Edge only has rectangles and ellipses built in as available shapes, how to I/we work with polygon shapes and active mouseover areas INSIDE of these shapes and non-active mouseover areas OUTSIDE of the shapes?
Problem/symptom: when I import a polygon, be it any file format from from Photoshop or SVG from Illustrator, a rectangular border/background (transparent) gets applied, leading to this rectangle defining the mouseover area of the shape - and not the shape itself (be it a star or whatever).
WHAT I WANT: the very shape defines the mouseover area. How do I achieve this?? See examle below:
I am trying to add a shadow effect for dimension to just a section of the edge on the inside of a circular ring. Is there a way to make a drop shadow do this on the inside? Or do I need to look at some other technique?
I'm working on this study and I need to change the color of an object inside a symbol when I click another object.
The object is called "bola", wich is inside the symbol "ponto" and the clicking object are the colored pencils (each pencil should change the color of the symbol's object, giving the impression you'd selecting a different pencil to draw).
I think it's simple to understand what I mean when you see the files.
I already tried this line on click event of the pencils, but it didn't work:
I have a computer newly installed windows7 64bit,and installed map 3d 2012.with SP. when I was trying to create polygon with command "MPOLYGON" or "MAPLOLYLINETOPOLYGON",MAP3D crashed.it does not matter if the polygons have holes or not,the polygon can be created,but after 2 seconds or when I RIGHT CLICK to see quick menu,CAD crashed immidiately.
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences. [code]....
How do you create a responsive and fluid carousel, vertical or horizontal for a menu which includes multiple items. the carousle can be dragged via mouse or touch. when the item is clickes, then it will launch a URL or plau a timeline.
In previous versions I could create a flat polygon mesh by typing "3D" and have an option to create a planar mesh "M" X "N" by specifying the 4 corners along with M and N. I don't see a way to draw this mesh in 2012 without having to ID every vertices. This procedure is listed in the Legacy portion of Help, but I do not see a way to do it.
Got a nested symbol. Rather simple one. Inside the symbol is a background rectangle and a text field. When I click a button, it should insert the HTML I give it from the click event.
Now initially I did this by just using the text field by itself. No nesting. This is the code:
sym.$("copy").html("Edge Rocks!"); OK, success! The text loaded just fine.
Now let's insert that text field inside of a symbol. And let's call that symbol 'content'.Now I try....
sym.$("content").$("copy").html("Some new text");
Result? Nothing.
Tried using stage instead of sym and even added a var stage = sym.getComposition().getStage() statement before that. Nope.